package cn.com.qmth.stmms.biz.school.service;

import java.util.List;

import cn.com.qmth.stmms.biz.school.model.School;
import cn.com.qmth.stmms.biz.school.query.SchoolSearchQuery;

public interface SchoolService {

    School save(School school);

    School findById(Integer id);

    public SchoolSearchQuery findByQuery(final SchoolSearchQuery query);

    void deleteById(Integer id);

    void delete(School school);

    List<School> findAll();

}
